CVE-2023-34433

CVSS Score of 10 (low)

Details

Published Jul 7, 2023
Updated: Jul 14, 2023
CWE ID 916

Summary

CVE-2023-34433, also known as PiiGAB M-Bus vulnerability, affects the M-Bus component of the PiiGAB product. The vulnerability lies in the weak hash algorithm used to store passwords. This vulnerability poses a high risk to organizations as it allows for potential unauthorized access and compromise of sensitive information. To remediate the vulnerability, users should update their PiiGAB M-Bus software to a version that uses a stronger hash algorithm for password storage.

Leverage our Vulnerability Intelligence module to secure your systems now - get detailed insights on CVE-2024-37364. Book your demo today.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-34433 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options